<?php

require_once('wp-updates-theme.php');
new WPUpdatesThemeUpdater_703( 'http://wp-updates.com/api/2/theme', basename( get_template_directory() ) );

// Identify the theme for all functions

	$themename = "PromoTheme";
	$shortname = "wpblink_promo";
	
	
	
get_template_part( 'options/options' ); 
get_template_part( 'options/css' ); 
get_template_part( 'lib/logo' ); 

// Load all necessary javascript files for the theme
	
function my_scripts_method() {
	
		$nicescroll= get_template_directory_uri() . "/js/jquery.nicescroll.min.js";
		wp_deregister_script( 'nicescroll' );
		wp_register_script( 'nicescroll', $nicescroll);
		wp_enqueue_script( 'nicescroll');
		
		$respond= get_template_directory_uri() . "/js/respond.src.js";
		wp_deregister_script( 'respond' );
		wp_register_script( 'respond', $respond);
		wp_enqueue_script( 'respond');		

		$logo= get_template_directory_uri() . "/js/logo.js";
		wp_deregister_script( 'logo' );
		wp_register_script( 'logo', $logo);
		wp_enqueue_script( 'logo');
		
		$jflow= get_template_directory_uri() . "/js/jflow.plus.js";
		wp_deregister_script( 'jflow' );
		wp_register_script( 'jflow', $jflow);
		wp_enqueue_script( 'jflow');
	
		$jquerytools= get_template_directory_uri() . "/js/jquery.tools.min.js";
		wp_deregister_script( 'jquerytools' );
		wp_register_script( 'jquerytools', $jquerytools);
		wp_enqueue_script( 'jquerytools');
		
		$jqueryui= get_template_directory_uri() . "/js/jquery-ui-1.10.2.js";
		wp_deregister_script( 'jqueryui' );
		wp_register_script( 'jqueryui', $jqueryui);
		wp_enqueue_script( 'jqueryui');	
		
		$slider= get_template_directory_uri() . "/js/slider.js";
		wp_deregister_script( 'slider' );
		wp_register_script( 'slider', $slider);
		wp_enqueue_script( 'slider');	
	
		$selectivizr= get_template_directory_uri() . "/js/selectivizr-min.js";
		wp_deregister_script( 'selectivizr' );
		wp_register_script( 'selectivizr', $selectivizr);
		wp_enqueue_script( 'selectivizr');
		
		$modernizr= get_template_directory_uri() . "/js/modernizr-2.5.3-min.js";
		wp_deregister_script( 'modernizr' );
		wp_register_script( 'modernizr', $modernizr);
		wp_enqueue_script( 'modernizr');
		
	
}
add_action('wp_enqueue_scripts', 'my_scripts_method');


// Create XHTML	Language Attributes

function create_valid_xhtml_1_1($language_attributes) 
{
	return preg_replace('/ lang=\"[a-z]+\-[A-Z]+\"/', '', $language_attributes);
}
add_filter('language_attributes', 'create_valid_xhtml_1_1');


// Include default Wordpress features

if ( ! isset( $content_width ) ) $content_width = 964;





// Load all necessary stylesheets

function style_basecolor()
{
	wp_register_style( 'default', get_template_directory_uri() . '/style.css', array(), '20120917', 'all' );
	wp_register_style( 'animate', get_template_directory_uri() . '/animate.min.css', array(), '20120917', 'all' );
	wp_enqueue_style( 'default' );
	wp_enqueue_style( 'animate' );

}
add_action( 'wp_enqueue_scripts', 'style_basecolor' );


// Register all the fonts

 function themefonts()
 {
 	wp_register_style( 'googlefonts', 'http://fonts.googleapis.com/css?family=Maven+Pro|Varela+Round', array(), '20120917', 'all' );


	wp_enqueue_style( 'googlefonts' );


}
add_action( 'wp_enqueue_scripts', 'themefonts' );




	function customlogo_options_enqueue_scripts() {

	wp_register_script( 'customlogo-upload', get_template_directory_uri() .'/js/logo.js', array('jquery','media-upload','thickbox') );	

		if ( 'appearance_page_customlogo-settings' == get_current_screen() -> id ) {
			wp_enqueue_script('jquery');
			wp_enqueue_script('thickbox');
			wp_enqueue_style('thickbox');
			wp_enqueue_script('media-upload');
			wp_enqueue_script('customlogo-upload');
		}
	}
	add_action('admin_enqueue_scripts', 'customlogo_options_enqueue_scripts');


	function colorpicker_options_enqueue_scripts() {


		if ( 'appearance_page_mytheme-options' == get_current_screen() -> id ) {
			$jscolor= get_template_directory_uri() . "/js/jscolor/jscolor.js";
			wp_deregister_script( 'jscolor' );
			wp_register_script( 'jscolor', $jscolor);
			wp_enqueue_script( 'jscolor');
		}
	}
	add_action('admin_enqueue_scripts', 'colorpicker_options_enqueue_scripts');
	
	
?>